Page MenuHome

Modifiers: Convert from DerivedMesh → Mesh
Closed, ResolvedPublicTO DO

Description

Take D3155 and transform some simple deforming and constructing modifiers to use Mesh instead of DerivedMesh.

Work was done on the temp-modifier-rm-cddm branch, and is now done on blender2.8 directly.

Ported are:

Event Timeline

Sybren A. Stüvel (sybren) lowered the priority of this task from 90 to Normal.Apr 20 2018, 10:01 AM
Sybren A. Stüvel (sybren) created this task.
Sybren A. Stüvel (sybren) moved this task from Tasks to Doing on the Code Quest board.

D3155 has been merged with the blender2.8 branch.

@Sybren A. Stüvel (sybren): ParticleInstance modifier got a little, now ready to port

Sybren A. Stüvel (sybren) triaged this task as High priority.Jul 10 2018, 12:06 PM
Sybren A. Stüvel (sybren) moved this task from Tasks to Short Term Backlog on the Code Quest board.
Sybren A. Stüvel (sybren) updated the task description. (Show Details)
Brecht Van Lommel (brecht) lowered the priority of this task from High to Normal.Aug 13 2018, 11:39 AM
Campbell Barton (campbellbarton) changed the task status from Unknown Status to Resolved.Oct 15 2018, 7:40 AM
Campbell Barton (campbellbarton) changed the status of subtask T55286: Convert Modifier application from DerivedMesh → Mesh from Unknown Status to Resolved.

Closing this task because all modifiers except for subsurf have been converted.

Subsurf is a bigger task which doesn't benefit from this being kept open. See: T57239

Brecht Van Lommel (brecht) changed the status of subtask T55089: Port remaining modifiers from Unknown Status to Unknown Status.Nov 19 2018, 12:52 PM